Announcements
Due to scheduled maintenance, the Autodesk Community will be inaccessible from 10:00PM PDT on Oct 16th for approximately 1 hour. We appreciate your patience during this time.
Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Civil 3D - Profile View, 2nd Y Axis with different scale?

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
jim.poole
558 Views, 3 Replies

Civil 3D - Profile View, 2nd Y Axis with different scale?

I'm trying to produce a profile from a drawing with 2 axis' with different scales (using Civil 3D 2018)

 

I have a profile for a topographical surface, which is measured in metres.

I have a series of profiles for settlement curves, which are measured in mm.

I'd like to plot them all on one profile view, with the topo surface references on Axis Y1, and the settlement curves referenced to Axis Y2.

Currently I have 2 profile views on top of each other with a different vertical exaggeration, which works with a bit of tweaking to the bands and various layers displayed, but means modifications to both to manipulate.

Anyone ever managed this - I don't think it's possible... over to you!?

3 REPLIES 3
Message 2 of 4
tcorey
in reply to: jim.poole

Here's a short LISP that will divide all your elevations by 1000. That will effectively convert from mm to m.

 

(defun c:go ( / pro pvis cnt ctr pvi )
(vl-load-com)
(setq pro (vlax-ename->vla-object (car (entsel "\nSelect Profile to convert: ")))
	  pvis (vlax-get pro 'PVIs)
	  cnt (vlax-get pvis 'Count)
	  ctr 0)
(while (< ctr cnt)
		(setq pvi (vlax-invoke pvis 'Item ctr))
		(vlax-put pvi 'Elevation (* (vlax-get pvi 'Elevation) 0.001))
		(setq ctr (1+ ctr))
		)
(princ)
)


Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut
Message 3 of 4
CADvisers
in reply to: jim.poole

I may not be completely understanding, but can you use "Create superimposed profile" to show both profiles on one profile view?

You could apply a "raise/lower" edit to your surface (that's in meters) to match in mm.  Then superimpose the mm profiles onto the profile view showing the surface profile view.

 

 

Jonathan Stewart
CADvisers
P.O. Box 7811
Lancaster, PA 17604
Ph. 717-468-3111


Message 4 of 4
lynn_zhang
in reply to: jim.poole

Hello @jim.poole ,

Just checking to see if your problem has been solved. Have you tried the suggestions from above and did they work for you? If yes, please click on the "Accept as Solution" button in their reply so this helps other users in the community find the solution too. Thanks!





Lynn Zhang
Community Manager


Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report